# Function RxapStaticDataSource

- RxapStaticDataSource<Data>(
  metadata: StaticDataSourceMetadata<Data>,
  className?: string,
  packageName?: string,
  ): (target: Constructor<StaticDataSource<Data>>) => void

  #### Type Parameters

  - Data

  #### Parameters

  - metadata: StaticDataSourceMetadata<Data>
  - className: string = 'StaticDataSource'
  - packageName: string = '@rxap/data-source'

  #### Returns (target: Constructor<StaticDataSource<Data>>) => void

  - Defined in packages/angular/data-source/src/lib/static.data-source.ts:112